org.apache.tinkerpop.gremlin.server.channel

## Class HttpChannelizer

- java.lang.Object
- - <any>
  - - org.apache.tinkerpop.gremlin.server.AbstractChannelizer
    - - org.apache.tinkerpop.gremlin.server.channel.HttpChannelizer

- All Implemented Interfaces:
    Channelizer

      public class HttpChannelizer
      extends AbstractChannelizer

  Constructs a `Channelizer` that exposes an HTTP/REST endpoint in Gremlin Server.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.server.AbstractChannelizer

      `authenticator, DEFAULT_SERIALIZERS, graphManager, GREMLIN_ENDPOINT, gremlinExecutor, gremlinExecutorService, PIPELINE_AUTHENTICATOR, PIPELINE_HTTP_REQUEST_DECODER, PIPELINE_HTTP_RESPONSE_ENCODER, PIPELINE_OP_EXECUTOR, PIPELINE_OP_SELECTOR, PIPELINE_REQUEST_HANDLER, PIPELINE_RESULT_ITERATOR_HANDLER, PIPELINE_SSL, scheduledExecutorService, serializers, settings, sslContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpChannelizer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(ChannelPipeline pipeline)` This method is called from within `#initChannel(io.netty.channel.socket.SocketChannel)` just after the SSL handler is put in the pipeline.
    `void` | `finalize(ChannelPipeline pipeline)` This method is called after the pipeline is completely configured.
    `void` | `init(ServerGremlinExecutor<EventLoopGroup> serverGremlinExecutor)` This method is called just after the `Channelizer` is initialized.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.server.AbstractChannelizer

      `createAuthenticationHandler, initChannel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.server.Channelizer

      `createIdleDetectionMessage, supportsIdleMonitor`

- - ### Constructor Detail

    - #### HttpChannelizer

          public HttpChannelizer()

  - ### Method Detail

    - #### init

          public void init(ServerGremlinExecutor<EventLoopGroup> serverGremlinExecutor)

      Description copied from interface: `Channelizer`
      This method is called just after the `Channelizer` is initialized.
      Specified by:
        `init` in interface `Channelizer`
      Overrides:
        `init` in class `AbstractChannelizer`

    - #### configure

          public void configure(ChannelPipeline pipeline)

      Description copied from class: `AbstractChannelizer`
      This method is called from within `#initChannel(io.netty.channel.socket.SocketChannel)` just after the SSL handler is put in the pipeline. Modify the pipeline as needed here.
      Specified by:
        `configure` in class `AbstractChannelizer`

    - #### finalize

          public void finalize(ChannelPipeline pipeline)

      Description copied from class: `AbstractChannelizer`
      This method is called after the pipeline is completely configured. It can be overridden to make any final changes to the pipeline before it goes into use.
      Overrides:
        `finalize` in class `AbstractChannelizer`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.